Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGTransformList.SVGTransformItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGTransform
          org.apache.batik.dom.svg.AbstractSVGTransformList.SVGTransformItem

All Implemented Interfaces:
  SVGItem, SVGTransform

Enclosing class:
  AbstractSVGTransformList

protected class AbstractSVGTransformList.SVGTransformItem
extends AbstractSVGTransform
implements SVGItem

Internal representation of the item SVGPoint.

Field Summary
`protected boolean` | `angleOnly`
`protected java.lang.String` | `itemStringValue` String representation of the item.
`protected AbstractSVGList` | `parent` List the item belongs to.
`protected boolean` | `xOnly`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`affineTransform, angle, type, x, y`

Fields inherited from interface org.w3c.dom.svg.SVGTransform
`SVG_TRANSFORM_MATRIX, SVG_TRANSFORM_ROTATE, SVG_TRANSFORM_SCALE, SVG_TRANSFORM_SKEWX, SVG_TRANSFORM_SKEWY, SVG_TRANSFORM_TRANSLATE, SVG_TRANSFORM_UNKNOWN`

Constructor Summary
`protected` | `AbstractSVGTransformList.SVGTransformItem()`
`protected` | `AbstractSVGTransformList.SVGTransformItem(SVGTransform transform)`

Method Summary
`protected SVGMatrix` | `createMatrix()` Create a SVGMatrix associated to the transform.
`AbstractSVGList` | `getParent()` Return the parent list of the item.
`protected java.lang.String` | `getStringValue()`
`java.lang.String` | `getValueAsString()` Return the cached representation of the item if valid otherwise re-computes the String representation of the item.
`protected void` | `matrix(float a, float b, float c, float d, float e, float f)`
`protected void` | `resetAttribute()` Notifies the parent list that the item has changed.
`protected void` | `rotate(float angle)`
`protected void` | `scale(float x)`
`void` | `setMatrix(SVGMatrix matrix)`
`void` | `setParent(AbstractSVGList list)` Assign a parent list to this item.
`void` | `setRotate(float angle, float cx, float cy)`
`void` | `setScale(float sx, float sy)`
`void` | `setSkewX(float angle)`
`void` | `setSkewY(float angle)`
`void` | `setTranslate(float tx, float ty)`
`protected void` | `translate(float x)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`getAngle, getMatrix, getType, getX, getY, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xOnly

    protected boolean xOnly

### angleOnly

    protected boolean angleOnly

### parent

    protected AbstractSVGList parent

  List the item belongs to.

### itemStringValue

    protected java.lang.String itemStringValue

  String representation of the item. This is a cached representation of the item while it is not changed.

Constructor Detail

### AbstractSVGTransformList.SVGTransformItem

    protected AbstractSVGTransformList.SVGTransformItem()

### AbstractSVGTransformList.SVGTransformItem

    protected AbstractSVGTransformList.SVGTransformItem(SVGTransform transform)

Method Detail

### resetAttribute

    protected void resetAttribute()

  Notifies the parent list that the item has changed. Discard the cached representation of the item.

### setParent

    public void setParent(AbstractSVGList list)

  Assign a parent list to this item.

  Specified by:
    `setParent` in interface `SVGItem`
  Parameters:
    `list` - : list the item belongs.

### getParent

    public AbstractSVGList getParent()

  Return the parent list of the item.

  Specified by:
    `getParent` in interface `SVGItem`
  Returns:
    list the item belongs.

### getValueAsString

    public java.lang.String getValueAsString()

  Return the cached representation of the item if valid otherwise re-computes the String representation of the item.

  Specified by:
    `getValueAsString` in interface `SVGItem`
  Returns:
    textual representation of the item to be inserted in the attribute value representing the list.

### translate

    protected void translate(float x)

### rotate

    protected void rotate(float angle)

### scale

    protected void scale(float x)

### matrix

    protected void matrix(float a,
                          float b,
                          float c,
                          float d,
                          float e,
                          float f)

### setMatrix

    public void setMatrix(SVGMatrix matrix)

  Specified by:
    `setMatrix` in interface `SVGTransform`
  Overrides:
    `setMatrix` in class `AbstractSVGTransform`

### setTranslate

    public void setTranslate(float tx,
                             float ty)

  Specified by:
    `setTranslate` in interface `SVGTransform`
  Overrides:
    `setTranslate` in class `AbstractSVGTransform`

### setScale

    public void setScale(float sx,
                         float sy)

  Specified by:
    `setScale` in interface `SVGTransform`
  Overrides:
    `setScale` in class `AbstractSVGTransform`

### setRotate

    public void setRotate(float angle,
                          float cx,
                          float cy)

  Specified by:
    `setRotate` in interface `SVGTransform`
  Overrides:
    `setRotate` in class `AbstractSVGTransform`

### setSkewX

    public void setSkewX(float angle)

  Specified by:
    `setSkewX` in interface `SVGTransform`
  Overrides:
    `setSkewX` in class `AbstractSVGTransform`

### setSkewY

    public void setSkewY(float angle)

  Specified by:
    `setSkewY` in interface `SVGTransform`
  Overrides:
    `setSkewY` in class `AbstractSVGTransform`

### createMatrix

    protected SVGMatrix createMatrix()

  Description copied from class: `AbstractSVGTransform`
  Create a SVGMatrix associated to the transform.

  Specified by:
    `createMatrix` in class `AbstractSVGTransform`
  Returns:
    SVGMatrix representing the transformation

### getStringValue

    protected java.lang.String getStringValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.